Bug 855095 - unit_copy with depencency resolution from unpublished repo results in confusing error
unit_copy with depencency resolution from unpublished repo results in confusi...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.0
Assigned To: Todd Sanders
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 12:50 EDT by Justin Sherrill
Modified: 2013-09-09 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 11:59:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2012-09-06 12:50:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create RepoA and sync some rpms to it
2.  Create RepoB, and unit copy some rpms from RepoA (DO NOT PUBLISH RepoB)
3.  Create RepoC
3.  Attempt to unit_copy one or more rpms from RepoB to RepoC  with dependency solving enabled.
  
Actual results:
Error in pulp.log when task is executed:     

raise Errors.NoMoreMirrorsRepoError, errstr


Expected results:

Some more meaningful error indicating that RepoB (the source repo) needs to be published before pulp can dependency solve

Additional info:

Ideally this check would happen before the unit_copy is attempted, so the task doesn't get started and I have to check its status.
Comment 1 Pradeep Kilambi 2013-01-31 15:39:32 EST
fixed! metadata is now generated on the fly as part of the unit copy operation with dep resolution.
Comment 2 Pradeep Kilambi 2013-02-04 10:23:55 EST
merged to master
Comment 3 Jeff Ortel 2013-02-05 15:57:09 EST
build: 2.1.0-0.3.alpha
Comment 90 Preethi Thomas 2013-04-08 11:59:54 EDT
Pulp 2.1 released 


http://www.pulpproject.org/2013/04/05/pulp-2-1-0-released/

Note You need to log in before you can comment on or make changes to this bug.